Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.event
Class CycleButtonListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.event.ComponentListenerAdapter
          com.gwtext.client.widgets.event.ButtonListenerAdapter
              com.gwtext.client.widgets.event.SplitButtonListenerAdapter
                  com.gwtext.client.widgets.event.CycleButtonListenerAdapter

All Implemented Interfaces:
  ButtonListener, ComponentListener, CycleButtonListener, SplitButtonListener

    public class CycleButtonListenerAdapter

extends SplitButtonListenerAdapter
implements CycleButtonListener

`CycleButton` listener adapter.

Constructor Summary
`CycleButtonListenerAdapter()`

Method Summary
`void` | `onChange(CycleButton self, CheckItem item)` Fires after the button's active menu item has changed.

Methods inherited from class com.gwtext.client.widgets.event.SplitButtonListenerAdapter
`onArrowClick`

Methods inherited from class com.gwtext.client.widgets.event.ButtonListenerAdapter
`onClick, onMenuHide, onMenuShow, onMenuTriggerOut, onMenuTriggerOver, onMouseOut, onMouseOver, onToggle`

Methods inherited from class com.gwtext.client.widgets.event.ComponentListenerAdapter
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.gwtext.client.widgets.event.SplitButtonListener
`onArrowClick`

Methods inherited from interface com.gwtext.client.widgets.event.ButtonListener
`onClick, onMenuHide, onMenuShow, onMenuTriggerOut, onMenuTriggerOver, onMouseOut, onMouseOver, onToggle`

Methods inherited from interface com.gwtext.client.widgets.event.ComponentListener
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Constructor Detail

### CycleButtonListenerAdapter

    public CycleButtonListenerAdapter()

Method Detail

### onChange

    public void onChange(CycleButton self,
                         CheckItem item)

  Description copied from interface: `CycleButtonListener`
  Fires after the button's active menu item has changed.

  Specified by:
    `onChange` in interface `CycleButtonListener`
  Parameters:
    `self` - this
    `item` - the menu item that was selected

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD